package sgc.portal.cw.cw0602.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0602.dto.CW06020001USearch;
import sgc.portal.cw.cw0602.model.CW06020001U;

import java.util.List;

@Mapper
public interface CW06020001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW06020001USearch search);
    
    List<EasyHashMap<String, Object>> getListAnswer(CW06020001USearch search);
    
    List<EasyHashMap<String, Object>> getListQuetion(CW06020001USearch search);
    
    int insert(CW06020001U cW06020001U);

    int update(CW06020001U cW06020001U);

    int delete(CW06020001U cW06020001U);
    
    int approve(CW06020001U cW06020001U);
    
    void saveAnswer(CW06020001U cW06020001U);

	int selectSeq(CW06020001U cW06020001U);
}
